# providers

Operator banking-partner configuration: provider connections (write-only credentials), routing rules, KYC connections, inbound provider webhooks and the provider event log.

## GET /provider-connections

operationId: `listProviderConnections`
Summary: List provider connections
API key scopes: `integration:read`
Parameters: `X-Tenant-Id` (header, required), `X-Request-Id` (header), `cursor` (query), `limit` (query), `sort` (query), `filter` (query)
Responses: 200 `ProviderConnectionPage`, 400 `Problem`, 401 `Problem`, 403 `Problem`, 429 `Problem`, default `Problem`

**API key scope:** `integration:read` (operator-level keys only, `X-Tenant-Id` = the operator id).

## GET /provider-connections/{connectionId}

operationId: `getProviderConnection`
Summary: Get provider connection (no secrets)
API key scopes: `integration:read`
Parameters: `connectionId` (path, required), `X-Tenant-Id` (header, required), `X-Request-Id` (header), `If-None-Match` (header)
Responses: 200 `ProviderConnection`, 304, 401 `Problem`, 403 `Problem`, 404 `Problem`, 429 `Problem`, default `Problem`

**API key scope:** `integration:read` (operator-level keys only, `X-Tenant-Id` = the operator id).
